ConsumerOperations (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: ConsumerOperations

Package com.sun.messaging.jms.management.server

# Class ConsumerOperations

java.lang.Object
com.sun.messaging.jms.management.server.ConsumerOperations

public class ConsumerOperations extends Object
Class containing information on consumer operations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GET_CONSUMER_IDS`
  Get list of consumer IDs
  `static final String`
  `GET_CONSUMER_INFO`
  Get info on all consumers
  `static final String`
  `GET_CONSUMER_INFO_BY_ID`
  Get info on specified consumer (via ID)
  `static final String`
  `GET_CONSUMER_WILDCARDS`
  Get consumer wildcards
  `static final String`
  `GET_NUM_WILDCARD_CONSUMERS`
  Get number of consumers that use a specific wildcard
  `static final String`
  `PURGE`
  Purge a durable.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GET_CONSUMER_IDS

    public static final String GET_CONSUMER_IDS
    Get list of consumer IDs
    See Also:
      - Constant Field Values

  - ### GET_CONSUMER_INFO

    public static final String GET_CONSUMER_INFO
    Get info on all consumers
    See Also:
      - Constant Field Values

  - ### GET_CONSUMER_INFO_BY_ID

    public static final String GET_CONSUMER_INFO_BY_ID
    Get info on specified consumer (via ID)
    See Also:
      - Constant Field Values

  - ### PURGE

    public static final String PURGE
    Purge a durable.
    See Also:
      - Constant Field Values

  - ### GET_CONSUMER_WILDCARDS

    public static final String GET_CONSUMER_WILDCARDS
    Get consumer wildcards
    See Also:
      - Constant Field Values

  - ### GET_NUM_WILDCARD_CONSUMERS

    public static final String GET_NUM_WILDCARD_CONSUMERS
    Get number of consumers that use a specific wildcard
    See Also:
      - Constant Field Values